Index: tests/GuiChecks/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at
===================================================================
--- tests/GuiChecks/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,133 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Rotate around origin
+
+AT_SETUP([Molecules - Rotate around origin])
+AT_KEYWORDS([molecules rotate-around-origin])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 90. --position "0,0,1" --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-z90.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 180. --position "0,0,1" --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-z180.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 360. --position "0,0,1" --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-z360.xyz], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 20. --position "1,2,1" --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-xYz20.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Rotate around origin with Undo])
+AT_KEYWORDS([molecules rotate-around-origin undo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 90. --position "0,0,1" --undo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 180. --position "0,0,1" --undo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 360. --position "0,0,1" --undo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 20. --position "1,2,1" --undo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Rotate around origin with Redo])
+AT_KEYWORDS([molecules rotate-around-origin redo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 90. --position "0,0,1" --undo --redo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-z90.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 180. --position "0,0,1" --undo --redo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-z180.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 360. --position "0,0,1" --undo --redo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-z360.xyz], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-all-atoms --rotate-around-origin 20. --position "1,2,1" --undo --redo --no-dry-run --store-session session-molecules-rotate-around-origin.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-rotate-around-origin.py >session-molecules-rotate-around-origin_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-rotate-around-origin_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/RotateAroundOrigin/post/test-rotated-xYz20.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
